CANVAS_REGISTER_SIZE_CONTROL_FUNC(3)

FUNCTION
canvas_register_size_control_func - Register size control callback.

SYNOPSIS
#include <karma_canvas.h>

void canvas_register_size_control_func

(KWorldCanvas canvas, void (*size_control_func) (), void *info)

DESCRIPTION
This routine will register the size control function for a world canvas. This function will be called whenever the lower level pixel canvas resizes, or the associated Kcolourmap object is resized, OR a call is made to <-canvas_resize->. The function may alter the window scaling information for the canvas. Only one size control function is permitted per canvas. The size control routine is called before any refresh functions are called. This is a means for a higher level object to take control of the world canvas.

canvas
    The world canvas object.

size_control_func
    The function that is called when the canvas is to be refreshed. The prototype function is <-canvas_PROTO_size_control_func->.

info
    The initial arbitrary canvas information pointer.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/